package ntaphttp

import "net/http"

// RetryableHTTPCodes is a list of retryable http codes
// that are used by OntapClient
var RetryableHTTPCodes = []int{
	http.StatusRequestTimeout,
	http.StatusGatewayTimeout,
	http.StatusServiceUnavailable,
	http.StatusInternalServerError}
