package qstackcrypto

var (
	// V1 is the first version supported by qstackcrypto
	V1 = &Version{Name: "V1", Algorithm: "AES", Bits: 256, Mode: "CBC", Padding: string(pkcs7), KeyDerivationAlgorithm: "PBKDF2WithHmacSHA1", Iterations: 20000}
)

// Version defines a version of cryptography used by qstackcrypto
type Version struct {
	Name                   string
	Algorithm              string
	Bits                   int
	Mode                   string
	Padding                string
	KeyDerivationAlgorithm string
	Iterations             int
}
