package qstackcrypto

import (
	"crypto/rand"
	"fmt"
)

func randomBytes(count int) ([]byte, error) {
	bytes := make([]byte, count)
	n, err := rand.Read(bytes)
	if err != nil {
		return nil, err
	}
	if n != count {
		return nil, fmt.Errorf("Unexpected number of random bytes")
	}
	return bytes, nil
}
